%define module_name OpenStack-MetaAPI
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(HTTP/Request.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(OpenStack/Client.pm) perl(Test/MockModule.pm) perl(Test/More.pm) perl(Test2/Bundle/Extended.pm) perl(Test2/Plugin/NoWarnings.pm) perl(Test2/Tools/Explain.pm) perl(URI/Encode.pm) perl(YAML/XS.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Perl5 OpenStack API abstraction on top of OpenStack::Client
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATOOMIC/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
OpenStack::MetaAPI

Using OpenStack::MetaAPI you can call routes from any service directly on the main object.
Helpers are defined from the specs defined https://developer.openstack.org/api-guide/quick-start/#current-api-versions

Currently only a very small part of the specs have been imported to this project.

This software is currently in `PRE-ALPHA' stage... use it at your own risk!
Feel free to report issues to the Bug Tracker or contribute.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes examples
%perl_vendor_privlib/O*

%changelog
* Tue Apr 30 2019 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- updated by package builder

* Wed Apr 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- updated by package builder

* Sun Apr 21 2019 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

